## elpa-transient 0.2.0

=== debian/changelog ===
elpa-transient (0.2.0-3) unstable; urgency=medium

  * Add a build depend on texinfo, fix: "Missing build dependency on
    texinfo", thanks to Adrian Bunk (Closes: #964129).
  * Add a build depend on texlive-base for some documentation

 -- Rémi Vanicat <vanicat@debian.org>  Sat, 04 Jul 2020 16:10:09 +0200

elpa-transient (0.2.0-2) unstable; urgency=medium

  * Set debian Emacsen team as maintainer
  * Add Vcs-* information
  * Add Multi-Arch: foreign

 -- Rémi Vanicat <vanicat@debian.org>  Wed, 24 Jun 2020 15:04:10 +0200

elpa-transient (0.2.0-1) unstable; urgency=medium

  * Initial release (closes: #933323). 

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 26 Apr 2020 12:10:03 +0200

## elpa-transient 0.2.0.30.g4d44d08

=== Makefile ===
-include config.mk
include default.mk

.PHONY: lisp docs clean

all: lisp docs

help:
	$(info make all          - generate lisp and manual)
	$(info make docs         - generate most manual formats)
	$(info make lisp         - generate byte-code and autoloads)
	$(info make texi         - generate texi manual (see comments))
	$(info make info         - generate info manual)
	$(info make html         - generate html manual file)
	$(info make html-dir     - generate html manual directory)
	$(info make pdf          - generate pdf manual)
	$(info make publish      - publish snapshot manuals)
	$(info make release      - publish release manuals)
	$(info make clean        - remove most generated files)
	@printf "\n"

lisp:
	@$(MAKE) -C lisp lisp

docs:
	@$(MAKE) -C docs docs

texi:
	@$(MAKE) -C docs texi

info:
	@$(MAKE) -C docs info

html:
	@$(MAKE) -C docs html

html-dir:
	@$(MAKE) -C docs html-dir

pdf:
	@$(MAKE) -C docs pdf

publish:
	@$(MAKE) -C docs publish

release:
	@$(MAKE) -C docs release

clean:
	@printf "Cleaning...\n"
	@$(MAKE) -C lisp clean
	@$(MAKE) -C docs clean

=== debian/changelog ===
elpa-transient (0.2.0.30.g4d44d08-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 30 Aug 2020 15:18:14 +0200

elpa-transient (0.2.0.30.g4d44d08-1) experimental; urgency=medium

  * Experimental package for new transient feature

 -- Rémi Vanicat <vanicat@debian.org>  Sat, 01 Aug 2020 11:16:13 +0200

=== debian/control ===
Source: elpa-transient
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Rémi Vanicat <vanicat@debian.org>
Build-Depends: debhelper-compat (= 12), dh-elpa, elpa-dash, texinfo, texlive-base
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/emacsen-team/transient.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/transient

Package: elpa-transient
Architecture: all
Multi-Arch: foreign
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 1:25.1)
Suggests: elpa-transient-doc
Enhances: emacs
Description: Emacs key and popup interface for complex keybindings
 Taking inspiration from prefix keys and prefix arguments, Transient
 implements a similar abstraction involving a prefix command, infix
 arguments and suffix commands.  We could call this abstraction a
 "transient command", but because it always involves at least two
 commands (a prefix and a suffix) we prefer to call it just a
 "transient".
 .
 When the user calls a transient prefix command, then a transient
 (temporary) keymap is activated, which binds the transient's infix
 and suffix commands, and functions that control the transient state
 are added to `pre-command-hook' and `post-command-hook'.  The
 available suffix and infix commands and their state are shown in
 the echo area until the transient is exited by invoking a suffix
 command.
 .
 Calling an infix command causes its value to be changed, possibly
 by reading a new value in the minibuffer.
 .
 Calling a suffix command usually causes the transient to be exited
 but suffix commands can also be configured to not exit the
 transient state.

Package: elpa-transient-doc
Architecture: all
Depends: ${misc:Depends}
Enhances: elpa-transient
Multi-Arch: foreign
Description: Emacs key and popup interface for complex keybindings
 Taking inspiration from prefix keys and prefix arguments, Transient
 implements a similar abstraction involving a prefix command, infix
 arguments and suffix commands.  We could call this abstraction a
 "transient command", but because it always involves at least two
 commands (a prefix and a suffix) we prefer to call it just a
 "transient".
 .
 This package contain the documentation for transient

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_configure:
	echo LOAD_PATH = -L /usr/share/emacs/site-lisp/elpa-src/dash-*/ > config.mk
	dh_auto_configure

override_dh_auto_clean:
	-rm config.mk
	dh_auto_clean

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/transient-$1\.tar\.gz/ \
  https://github.com/magit/transient/tags .*/v?(\d\S+)\.tar\.gz

## elpa-transient 0.3.6

=== docs/Makefile ===
-include ../config.mk
include ../default.mk

docs: info html html-dir pdf

info: $(PKG).info dir
html: $(PKG).html
pdf:  $(PKG).pdf

ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH) -l ox-extra -l ox-texinfo+.el
ORG_EVAL  = --eval "(ox-extras-activate '(ignore-headlines))"
ORG_EVAL += --eval "(setq indent-tabs-mode nil)"
ORG_EVAL += --eval "(setq org-src-preserve-indentation nil)"
ORG_EVAL += --funcall org-texinfo-export-to-texinfo

# This target first bumps version strings in the Org source.  The
# necessary tools might be missing so other targets do not depend
# on this target and it has to be run explicitly when appropriate.
#
#   AMEND=t make texi    Update manual to be amended to HEAD.
#   VERSION=N make texi  Update manual for release.
#
.PHONY: texi
texi:
	@$(EMACS) $(ORG_ARGS) $(PKG).org $(ORG_EVAL)
	@printf "\n" >> $(PKG).texi
	@rm -f $(PKG).texi~

%.info: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --no-split $< -o $@

dir: $(PKG).info
	@printf "Generating $@\n"
	@printf "%s" $^ | xargs -n 1 $(INSTALL_INFO) --dir=$@

HTML_FIXUP_CSS    = '/<link rel="stylesheet" type="text\/css" href="\/assets\/page.css">/a\
<link rel="icon" href="/assets/magit_alt1.ico">\
\n<link class="s-css-s--style" rel="stylesheet"           title="Default"               href="/assets/themes/default.css">\
\n<link class="s-css-s--style" rel="stylesheet alternate" title="Default high contrast" href="/assets/themes/default-high-contrast.css">\
\n<link class="s-css-s--style" rel="stylesheet alternate" title="Solarized dark xterm"  href="/assets/themes/solarized-dark-xterm.css">\
\n<link class="s-css-s--style" rel="stylesheet alternate" title="Black on white"        href="/assets/themes/black-on-white.css">\
\n<script src="/assets/js/simple-css-switch.js"></script>'
HTML_FIXUP_ONLOAD = 's/<body lang="en">/<body lang="en" onload="simpleCssSwitch()">/'
HTML_FIXUP_MENU   = '/<\/body>/i<div id="s-css-s--menu"><\/div>'

%.html: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --html --no-split $(MANUAL_HTML_ARGS) $<
	@sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $@

html-dir: $(PKG).texi
	@printf "Generating $(PKG)/*.html\n"
	@$(MAKEINFO) --html $(MANUAL_HTML_ARGS) $<
	@for f in $$(find $(PKG) -name '*.html') ; do \
	sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $$f ; \
	done

%.pdf: %.texi
	@printf "Generating $@\n"
	@texi2pdf --clean $< > /dev/null

DOMAIN         ?= magit.vc
PUBLISH_PATH   ?= /manual/
RELEASE_PATH   ?= /manual/$(VERSION)/

S3_BUCKET      ?= s3://$(DOMAIN)
PUBLISH_TARGET  = $(S3_BUCKET)$(PUBLISH_PATH)
RELEASE_TARGET  = $(S3_BUCKET)$(RELEASE_PATH)

CFRONT_DIST    ?= E2LUHBKU1FBV02
CFRONT_PATHS    = $(PKG).html $(PKG).pdf $(PKG)/*

comma := ,
empty :=
space := $(empty) $(empty)

publish: html html-dir pdf
	@aws s3 cp $(PKG).html $(PUBLISH_TARGET)
	@aws s3 cp $(PKG).pdf  $(PUBLISH_TARGET)
	@aws s3 sync $(PKG)    $(PUBLISH_TARGET)$(PKG)/
	@printf "Generating CDN invalidation\n"
	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
	"$(subst $(space),$(comma),$(addprefix $(PUBLISH_PATH),$(CFRONT_PATHS)))" > /dev/null

release: html html-dir pdf
	@aws s3 cp $(PKG).html $(RELEASE_TARGET)
	@aws s3 cp $(PKG).pdf  $(RELEASE_TARGET)
	@aws s3 sync $(PKG)    $(RELEASE_TARGET)$(PKG)/
	@aws s3 cp $(PUBLISH_TARGET)dir.html $(RELEASE_TARGET)dir.html
	@aws s3 cp $(PUBLISH_TARGET)dir/index.html $(RELEASE_TARGET)dir/index.html
	@printf "Generating CDN invalidation\n"
	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
	"$(subst $(space),$(comma),$(addprefix $(RELEASE_PATH),$(CFRONT_PATHS)))" > /dev/null

CLEAN = $(PKG).info dir $(PKG) $(PKG).html $(PKG).pdf

clean:
	@rm -rf $(CLEAN)

## elpa-transient 0.3.7

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 docs:
 	@$(MAKE) -C docs docs
 
-texi:
+texi: bump-version
 	@$(MAKE) -C docs texi
 
 info:
@@ -44,7 +44,13 @@
 	@$(MAKE) -C docs publish
 
 release:
-	@$(MAKE) -C docs release
+	@$(MAKE) VERSION=$(VERSION) -C docs release
+
+bump-version:
+	@printf "Setting version in transient.el to $(VERSION)\n"
+	@test -n "$(VERSION)" || (echo "Version not specified"; false)
+	@sed -i -e "/Package-Version:/s|[0-9.]\+|$(VERSION)|" lisp/transient.el
+	@sed -i -e "/Package-Version:/s|UNRELEASED|$(shell date +%F)|" docs/CHANGELOG
 
 clean:
 	@printf "Cleaning...\n"

=== docs/Makefile ===
--- 
+++ 
@@ -7,8 +7,8 @@
 html: $(PKG).html
 pdf:  $(PKG).pdf
 
-ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH) -l ox-extra -l ox-texinfo+.el
-ORG_EVAL  = --eval "(ox-extras-activate '(ignore-headlines))"
+ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH) -l ox-texinfo+.el
+ORG_EVAL  = --eval "(setq org-texinfo+-dissolve-noexport-headlines t)"
 ORG_EVAL += --eval "(setq indent-tabs-mode nil)"
 ORG_EVAL += --eval "(setq org-src-preserve-indentation nil)"
 ORG_EVAL += --funcall org-texinfo-export-to-texinfo

=== lisp/Makefile ===
-include ../config.mk
include ../default.mk

lisp: $(ELCS) loaddefs

loaddefs: $(PKG)-autoloads.el

%.elc: %.el
	@printf "Compiling $<\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) \
	$(LOAD_PATH) --funcall batch-byte-compile $<

CLEAN  = $(ELCS) $(PKG)-autoloads.el

clean:
	@printf "Cleaning...\n"
	@rm -rf $(CLEAN)

define LOADDEFS_TMPL
;;; $(PKG)-autoloads.el --- automatically extracted autoloads
;;
;;; Code:
(add-to-list 'load-path (directory-file-name \
(or (file-name-directory #$$) (car load-path))))

;; Local Variables:
;; version-control: never
;; no-byte-compile: t
;; no-update-autoloads: t
;; End:
;;; $(PKG)-autoloads.el ends here
endef
export LOADDEFS_TMPL
#'

$(PKG)-autoloads.el: $(ELS)
	@printf "Generating $@\n"
	@printf "%s" "$$LOADDEFS_TMPL" > $@
	@$(EMACS) -Q --batch --eval "(progn\
	(setq make-backup-files nil)\
	(setq vc-handled-backends nil)\
	(setq default-directory (file-truename default-directory))\
	(setq generated-autoload-file (expand-file-name \"$@\"))\
	(setq find-file-visit-truename t)\
	(update-directory-autoloads default-directory))"

=== debian/changelog ===
elpa-transient (0.3.7-1) unstable; urgency=medium

  [ Matteo F. Vescovi ]
  * d/p/0001-Add-pkg-file.patch: reflect version bump

  [ Rémi Vanicat ]
  * New upstream release

 -- Rémi Vanicat <vanicat@debian.org>  Sat, 06 Nov 2021 11:02:52 +0100

elpa-transient (0.3.6-2) unstable; urgency=medium

  * Standards-Version bump (no change)
  * Upload to unstable

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 20 Aug 2021 08:44:29 +0200

elpa-transient (0.3.6-1) experimental; urgency=medium

  * New upstream release

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 02 Jul 2021 21:35:33 +0200

elpa-transient (0.3.5-1) experimental; urgency=medium

  * Team upload.

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 25 Jun 2021 22:48:05 +0200

elpa-transient (0.3.4-1) experimental; urgency=medium

  * Team upload.

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 12 Jun 2021 12:49:50 +0200

elpa-transient (0.3.2-1) experimental; urgency=medium

  * Team upload.

  * New upstream release
  * debian/patches/: patchset updated
    - 0001-Add-a-version.patch dropped (applied upstream)
    - #0002 renamed to #0001
  * debian/control:
    - fix Section fields for source and binary packages
    - debhelper bump 12 -> 13
    - S-V bump 4.4.0 -> 4.5.1 (no changes needed)
    - RRR set
    - Homepage field added
    - Description fields updated

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 01 May 2021 20:42:01 +0200

=== debian/control ===
Source: elpa-transient
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Rémi Vanicat <vanicat@debian.org>
Build-Depends: debhelper-compat (= 13), dh-elpa, elpa-dash, texinfo, texlive-base
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/magit/transient
Vcs-Git: https://salsa.debian.org/emacsen-team/transient.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/transient

Package: elpa-transient
Architecture: all
Multi-Arch: foreign
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 1:25.1)
Suggests: elpa-transient-doc
Enhances: emacs
Description: Emacs key and popup interface for complex keybindings
 Taking inspiration from prefix keys and prefix arguments, Transient
 implements a similar abstraction involving a prefix command, infix
 arguments and suffix commands. This abstraction could be called
 "transient command", but because it always involves at least two
 commands (a prefix and a suffix) it's preferable to call it just a
 "transient".
 .
 When the user calls a transient prefix command, then a transient
 (temporary) keymap is activated, which binds the transient's infix
 and suffix commands, and functions that control the transient state
 are added to `pre-command-hook' and `post-command-hook'. The
 available suffix and infix commands and their state are shown in
 the echo area until the transient is exited by invoking a suffix
 command.
 .
 Calling an infix command causes its value to be changed, possibly
 by reading a new value in the minibuffer.
 .
 Calling a suffix command usually causes the transient to be exited
 but suffix commands can also be configured to not exit the
 transient state.

Package: elpa-transient-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Enhances: elpa-transient
Multi-Arch: foreign
Description: Emacs key and popup interface for complex keybindings - Docs
 Taking inspiration from prefix keys and prefix arguments, Transient
 implements a similar abstraction involving a prefix command, infix
 arguments and suffix commands. This abstraction could be called
 "transient command", but because it always involves at least two
 commands (a prefix and a suffix) it's preferable to call it just a
 "transient".
 .
 This package contain the documentation for transient.

=== debian/rules ===
--- 
+++ 
@@ -10,5 +10,3 @@
 override_dh_auto_clean:
 	-rm config.mk
 	dh_auto_clean
-
-

## elpa-transient 0.6.0

=== Makefile ===
-include config.mk
include default.mk

.PHONY: lisp docs

all: lisp docs

help:
	$(info make all          - generate lisp and manual)
	$(info make lisp         - generate byte-code and autoloads)
	$(info make redo         - re-generate byte-code and autoloads)
	$(info make docs         - generate most manual formats)
	$(info make texi         - generate texi manual (see comments))
	$(info make info         - generate info manual)
	$(info make html         - generate html manual file)
	$(info make html-dir     - generate html manual directory)
	$(info make pdf          - generate pdf manual)
	$(info make publish      - publish snapshot manuals)
	$(info make release      - publish release manuals)
	$(info make stats        - generate statistics)
	$(info make stats-upload - publish statistics)
	$(info make clean        - remove most generated files)
	@printf "\n"

redo:
	@$(MAKE) -C lisp clean lisp
lisp:
	@$(MAKE) -C lisp lisp

docs:
	@$(MAKE) -C docs docs
texi:
	@$(MAKE) -C docs texi
info:
	@$(MAKE) -C docs info
html:
	@$(MAKE) -C docs html
html-dir:
	@$(MAKE) -C docs html-dir
pdf:
	@$(MAKE) -C docs pdf

publish:
	@$(MAKE) -C docs publish
release:
	@$(MAKE) VERSION=$(VERSION) -C docs release

stats:
	@$(MAKE) -C docs stats
stats-upload:
	@$(MAKE) -C docs stats-upload

clean:
	@$(MAKE) -C lisp clean
	@$(MAKE) -C docs clean

=== docs/Makefile ===
--- 
+++ 
@@ -7,24 +7,16 @@
 html: $(PKG).html
 pdf:  $(PKG).pdf
 
-ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH) -l ox-texinfo+.el
-ORG_EVAL  = --eval "(setq org-texinfo+-dissolve-noexport-headlines t)"
+ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH)
 ORG_EVAL += --eval "(setq indent-tabs-mode nil)"
 ORG_EVAL += --eval "(setq org-src-preserve-indentation nil)"
 ORG_EVAL += --funcall org-texinfo-export-to-texinfo
 
-# This target first bumps version strings in the Org source.  The
-# necessary tools might be missing so other targets do not depend
-# on this target and it has to be run explicitly when appropriate.
-#
-#   AMEND=t make texi    Update manual to be amended to HEAD.
-#   VERSION=N make texi  Update manual for release.
-#
 .PHONY: texi
 texi:
+	@printf "Generating $(PKG).texi\n"
 	@$(EMACS) $(ORG_ARGS) $(PKG).org $(ORG_EVAL)
-	@printf "\n" >> $(PKG).texi
-	@rm -f $(PKG).texi~
+	@sed -i -e 's/“/``/g' -e "s/”/''/g" -e '$$a\' $(PKG).texi #'
 
 %.info: %.texi
 	@printf "Generating $@\n"
@@ -51,7 +43,7 @@
 
 html-dir: $(PKG).texi
 	@printf "Generating $(PKG)/*.html\n"
-	@$(MAKEINFO) --html $(MANUAL_HTML_ARGS) $<
+	@$(MAKEINFO) --html -o $(PKG)/ $(MANUAL_HTML_ARGS) $<
 	@for f in $$(find $(PKG) -name '*.html') ; do \
 	sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $$f ; \
 	done
@@ -60,15 +52,11 @@
 	@printf "Generating $@\n"
 	@texi2pdf --clean $< > /dev/null
 
-DOMAIN         ?= magit.vc
 PUBLISH_PATH   ?= /manual/
 RELEASE_PATH   ?= /manual/$(VERSION)/
-
 S3_BUCKET      ?= s3://$(DOMAIN)
 PUBLISH_TARGET  = $(S3_BUCKET)$(PUBLISH_PATH)
 RELEASE_TARGET  = $(S3_BUCKET)$(RELEASE_PATH)
-
-CFRONT_DIST    ?= E2LUHBKU1FBV02
 CFRONT_PATHS    = $(PKG).html $(PKG).pdf $(PKG)/*
 
 comma := ,
@@ -93,7 +81,21 @@
 	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
 	"$(subst $(space),$(comma),$(addprefix $(RELEASE_PATH),$(CFRONT_PATHS)))" > /dev/null
 
+.PHONY: stats
+stats:
+	@printf "Generating statistics\n"
+	@$(GITSTATS) $(GITSTATS_ARGS) $(TOP) $(GITSTATS_DIR)
+
+stats-upload:
+	@printf "Uploading statistics...\n"
+	@aws s3 sync $(GITSTATS_DIR) $(S3_BUCKET)/stats/$(PKG)
+	@printf "Uploaded to $(S3_BUCKET)/stats/$(PKG)\n"
+	@printf "Generating CDN invalidation\n"
+	@aws cloudfront create-invalidation \
+	--distribution-id $(CFRONT_DIST) --paths "/stats/*" > /dev/null
+
 CLEAN = $(PKG).info dir $(PKG) $(PKG).html $(PKG).pdf
 
 clean:
+	@printf " Cleaning docs/*...\n"
 	@rm -rf $(CLEAN)

=== debian/changelog ===
elpa-transient (0.6.0-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 19:08:25 +0900

elpa-transient (0.6.0-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.3.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 11:31:19 +0900

elpa-transient (0.6.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/control:
    - Bump Standards-Version to 4.6.2 (no changes required)
    - Remove redundant versioned Recommends
    - Remove Build-Depends on elpa-dash (not used anymore)
  * d/copyright: update copyright years
  * Drop patch, let dh-elpa generate the -pkg file
  * d/rules: simplify (byte-compiling is not needed)
  * Improve documentation packaging (add d/doc-base)

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Mon, 25 Dec 2023 03:08:51 +0100

elpa-transient (0.3.7-2) unstable; urgency=medium

  * Team upload
  * Bug fix: "FTBFS with TeXInfo 7.0.x", thanks to Hilmar Preusse (Closes:
    #1030346).
  * Require texinfo >= 7.0.3 to build

 -- David Bremner <bremner@debian.org>  Tue, 11 Jul 2023 08:16:55 -0300

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,12 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Rémi Vanicat <vanicat@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-elpa, elpa-dash, texinfo, texlive-base
-Standards-Version: 4.6.0
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-elpa,
+ texinfo (>=7.0.3~),
+ texlive-base
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/magit/transient
 Vcs-Git: https://salsa.debian.org/emacsen-team/transient.git
@@ -14,7 +18,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${elpa:Depends}, ${misc:Depends}
-Recommends: emacs (>= 1:25.1)
+Recommends: emacs
 Suggests: elpa-transient-doc
 Enhances: emacs
 Description: Emacs key and popup interface for complex keybindings

## elpa-transient 0.7.8

=== debian/changelog ===
elpa-transient (0.7.8-1) unstable; urgency=medium

  * Team upload

  [ Matteo F. Vescovi ]
  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 03 Nov 2024 09:15:32 +0100

elpa-transient (0.7.7-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add docs/.revdesc to d/clean
  * Bump Standards-Version to 4.7.0 (no changes required)

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Wed, 30 Oct 2024 03:13:42 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  dh-elpa,
  texinfo (>=7.0.3~),
  texlive-base
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/magit/transient
 Vcs-Git: https://salsa.debian.org/emacsen-team/transient.git

## elpa-transient 0.8.2

=== debian/changelog ===
elpa-transient (0.8.2-1) unstable; urgency=medium

  * New upstream release
  * Add d/salsa-ci.yml with default template

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 02 Jan 2025 15:57:35 -0800

elpa-transient (0.8.1-1) unstable; urgency=medium

  * New upstream release
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Set upstream metadata fields: Repository.
  * Add d/gbp.conf matching the current practice
  * Add Upstream-Contact and Source in d/copyright
  * Add myself to Uploaders in d/control

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 09 Dec 2024 20:11:33 -0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: lisp
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Rémi Vanicat <vanicat@debian.org>
+Uploaders: Rémi Vanicat <vanicat@debian.org>,
+ Xiyue Deng <manphiz@gmail.com>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-elpa,

## elpa-transient 0.8.3

=== debian/changelog ===
elpa-transient (0.8.3-1) unstable; urgency=medium

  * New upstream release
  * Change section from lisp to editors
  * Store and restore transient.texi to workaround source changing when
    double-build (Closes: #1044428)

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 07 Jan 2025 20:28:30 -0800

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: elpa-transient
-Section: lisp
+Section: editors
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Rémi Vanicat <vanicat@debian.org>,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	# `docs/transient.texi' gets regenerated possibly due to different Emacs
	# version from what upstream uses.  Store the source version here and
	# restore on dh_auto_clean.  More info: https://bugs.debian.org/1044428
	cp -f docs/transient.texi debian/.debhelper/transient.texi
	make docs

override_dh_auto_clean:
	# Restore `transient.text' we stored during build.  More info:
	# https://bugs.debian.org/1044428
	-cp -f debian/.debhelper/transient.texi docs/transient.texi
	dh_auto_clean

## elpa-transient 0.8.4

=== debian/changelog ===
elpa-transient (0.8.4-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.7.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2025/02/msg00192.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 02 Mar 2025 15:16:10 +0800

elpa-transient (0.8.4-1) unstable; urgency=medium

  * New upstream release
  * Set upstream-tag to d/gbp.conf

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 04 Feb 2025 21:11:08 -0800

## elpa-transient 0.8.6

=== Makefile ===
--- 
+++ 
@@ -9,8 +9,9 @@
 	$(info make all          - generate lisp and manual)
 	$(info make lisp         - generate byte-code and autoloads)
 	$(info make redo         - re-generate byte-code and autoloads)
-	$(info make docs         - generate most manual formats)
-	$(info make texi         - generate texi manual (see comments))
+	$(info make docs         - generate all manual formats)
+	$(info make redo-docs    - re-generate all manual formats)
+	$(info make texi         - generate texi manual)
 	$(info make info         - generate info manual)
 	$(info make html         - generate html manual file)
 	$(info make html-dir     - generate html manual directory)
@@ -22,13 +23,15 @@
 	$(info make clean        - remove most generated files)
 	@printf "\n"
 
+lisp:
+	@$(MAKE) -C lisp lisp
 redo:
 	@$(MAKE) -C lisp clean lisp
-lisp:
-	@$(MAKE) -C lisp lisp
 
 docs:
 	@$(MAKE) -C docs docs
+redo-docs:
+	@$(MAKE) -C docs redo-docs
 texi:
 	@$(MAKE) -C docs texi
 info:
@@ -43,7 +46,7 @@
 publish:
 	@$(MAKE) -C docs publish
 release:
-	@$(MAKE) VERSION=$(VERSION) -C docs release
+	@$(MAKE) -C docs release
 
 stats:
 	@$(MAKE) -C docs stats

=== debian/changelog ===
elpa-transient (0.8.6-1) unstable; urgency=medium

  * New upstream release
  * Use d/s/options to ignore changes in regenerated files
    - Drop backup and restore handling in d/rules.
  * Modernize d/watch using substitute strings to be more robust

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 18 Mar 2025 22:40:46 -0700

elpa-transient (0.8.5-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.7.2; no change needed
  * Reformat d/control with "wrap-and-sort -ast"

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 05 Mar 2025 13:33:37 -0800

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: editors
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Rémi Vanicat <vanicat@debian.org>,
+Uploaders:
+ Rémi Vanicat <vanicat@debian.org>,
  Xiyue Deng <manphiz@gmail.com>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-elpa,
  texinfo (>=7.0.3~),
- texlive-base
-Standards-Version: 4.7.0
+ texlive-base,
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/magit/transient
 Vcs-Git: https://salsa.debian.org/emacsen-team/transient.git
@@ -18,10 +19,15 @@
 Package: elpa-transient
 Architecture: all
 Multi-Arch: foreign
-Depends: ${elpa:Depends}, ${misc:Depends}
-Recommends: emacs
-Suggests: elpa-transient-doc
-Enhances: emacs
+Depends:
+ ${elpa:Depends},
+ ${misc:Depends},
+Recommends:
+ emacs,
+Suggests:
+ elpa-transient-doc,
+Enhances:
+ emacs,
 Description: Emacs key and popup interface for complex keybindings
  Taking inspiration from prefix keys and prefix arguments, Transient
  implements a similar abstraction involving a prefix command, infix
@@ -48,8 +54,10 @@
 Package: elpa-transient-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
-Enhances: elpa-transient
+Depends:
+ ${misc:Depends},
+Enhances:
+ elpa-transient,
 Multi-Arch: foreign
 Description: Emacs key and popup interface for complex keybindings - Docs
  Taking inspiration from prefix keys and prefix arguments, Transient

=== debian/watch ===
version=4
opts=filenamemangle=s/(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
    https://github.com/magit/transient/tags \
    (?:.*?/)?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## elpa-transient 0.8.8

=== docs/Makefile ===
--- 
+++ 
@@ -1,21 +1,30 @@
 -include ../config.mk
 include ../default.mk
 
-docs: info html html-dir pdf
+docs: texi info html html-dir pdf
 
-info: $(PKG).info dir
-html: $(PKG).html
-pdf:  $(PKG).pdf
+texi:     $(PKG).texi
+info:     $(PKG).info dir
+html:     $(PKG).html
+html-dir: $(PKG)/index.html
+pdf:      $(PKG).pdf
 
 ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH)
 ORG_EVAL += --eval "(setq indent-tabs-mode nil)"
 ORG_EVAL += --eval "(setq org-src-preserve-indentation nil)"
 ORG_EVAL += --funcall org-texinfo-export-to-texinfo
 
-.PHONY: texi
-texi:
-	@printf "Generating $(PKG).texi\n"
-	@$(EMACS) $(ORG_ARGS) $(PKG).org $(ORG_EVAL)
+redo-docs:
+	@touch $(PKG).org
+	@make docs
+
+.revdesc: ;
+_    := $(shell test "$(REVDESC)" = "$$(cat .revdesc 2> /dev/null)" ||\
+        echo "$(REVDESC)" > .revdesc)
+
+%.texi: %.org .orgconfig .revdesc
+	@printf "Generating $@\n"
+	@$(EMACS) $(ORG_ARGS) $< $(ORG_EVAL)
 	@sed -i -e 's/“/``/g' -e "s/”/''/g" -e '$$a\' $(PKG).texi #'
 
 %.info: %.texi
@@ -41,8 +50,9 @@
 	@$(MAKEINFO) --html --no-split $(MANUAL_HTML_ARGS) $<
 	@sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $@
 
-html-dir: $(PKG).texi
+%/index.html: %.texi
 	@printf "Generating $(PKG)/*.html\n"
+	@rm -rf $(PKG)
 	@$(MAKEINFO) --html -o $(PKG)/ $(MANUAL_HTML_ARGS) $<
 	@for f in $$(find $(PKG) -name '*.html') ; do \
 	sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $$f ; \
@@ -63,7 +73,7 @@
 empty :=
 space := $(empty) $(empty)
 
-publish: html html-dir pdf
+publish: redo-docs
 	@aws s3 cp $(PKG).html $(PUBLISH_TARGET)
 	@aws s3 cp $(PKG).pdf  $(PUBLISH_TARGET)
 	@aws s3 sync $(PKG)    $(PUBLISH_TARGET)$(PKG)/
@@ -71,7 +81,7 @@
 	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
 	"$(subst $(space),$(comma),$(addprefix $(PUBLISH_PATH),$(CFRONT_PATHS)))" > /dev/null
 
-release: html html-dir pdf
+release: redo-docs
 	@aws s3 cp $(PKG).html $(RELEASE_TARGET)
 	@aws s3 cp $(PKG).pdf  $(RELEASE_TARGET)
 	@aws s3 sync $(PKG)    $(RELEASE_TARGET)$(PKG)/

=== debian/changelog ===
elpa-transient (0.8.8-1) unstable; urgency=medium

  * New upstream release

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 03 May 2025 19:34:50 -0700

elpa-transient (0.8.7-1) unstable; urgency=medium

  * New upstream release

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 01 Apr 2025 16:06:09 -0700

## elpa-transient 0.9.4

=== debian/changelog ===
elpa-transient (0.9.4-1) unstable; urgency=medium

  * New upstream release

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 11 Aug 2025 23:03:15 -0700

elpa-transient (0.9.3-1~exp1) experimental; urgency=medium

  * New upstream release
  * Add `lisp' to ert test load path
    - So that the test loads transient.el from the package instead of the
      built-in one.
  * Enable autopkgtest-pkg-elpa now there are upstream tests

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 09 Jul 2025 23:27:54 -0700

## elpa-transient 0.10.0

=== debian/changelog ===
elpa-transient (0.10.0-1) unstable; urgency=medium

  * New upstream release
  * Migrate d/watch to rfc822-style version 5 format

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 05 Sep 2025 21:29:20 -0700

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
 Homepage: https://github.com/magit/transient
 Vcs-Git: https://salsa.debian.org/emacsen-team/transient.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/transient
+Testsuite: autopkgtest-pkg-elpa
 
 Package: elpa-transient
 Architecture: all

## elpa-transient 0.10.1

=== Makefile ===
--- 
+++ 
@@ -20,6 +20,7 @@
 	$(info make release      - publish release manuals)
 	$(info make stats        - generate statistics)
 	$(info make stats-upload - publish statistics)
+	$(info make test         - run tests)
 	$(info make clean        - remove most generated files)
 	@printf "\n"
 
@@ -53,6 +54,10 @@
 stats-upload:
 	@$(MAKE) -C docs stats-upload
 
+test: lisp
+	@$(MAKE) -C test test
+
 clean:
 	@$(MAKE) -C lisp clean
 	@$(MAKE) -C docs clean
+	@$(MAKE) -C test clean

=== docs/Makefile ===
--- 
+++ 
@@ -12,6 +12,9 @@
 ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH)
 ORG_EVAL += --eval "(setq indent-tabs-mode nil)"
 ORG_EVAL += --eval "(setq org-src-preserve-indentation nil)"
+ORG_EVAL += --eval "\
+(defun org-texinfo--sanitize-content (text)\
+  (replace-regexp-in-string \"[@@{}]\" \"@@\\&\" text))"
 ORG_EVAL += --funcall org-texinfo-export-to-texinfo
 
 redo-docs:

=== lisp/Makefile ===
-include ../config.mk
include ../default.mk

lisp: $(ELCS) loaddefs check-declare

loaddefs: $(PKG)-autoloads.el

check-declare:
	@printf " Checking function declarations\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) \
	--eval "(check-declare-directory default-directory)"

clean:
	@printf " Cleaning lisp/*...\n"
	@rm -rf $(ELCS) $(PKG)-autoloads.el

$(PKG)-autoloads.el: $(ELS)
	@printf " Creating $@\n"
	@$(EMACS) -Q --batch -l autoload -l cl-lib --eval "\
(let ((file (expand-file-name \"$@\"))\
      (autoload-timestamps nil) \
      (backup-inhibited t)\
      (version-control 'never)\
      (coding-system-for-write 'utf-8-emacs-unix))\
  (write-region (autoload-rubric file \"package\" nil) nil file nil 'silent)\
  (cl-letf (((symbol-function 'progress-reporter-do-update) (lambda (&rest _)))\
            ((symbol-function 'progress-reporter-done) (lambda (_))))\
    (let ((generated-autoload-file file))\
      (update-directory-autoloads default-directory))))" \
	2>&1 | sed "/^Package autoload is deprecated$$/d"

=== test/Makefile ===
-include ../config.mk
include ../default.mk

LOAD_PATH  += -L $(TOP)test

test: lisp
	@printf "  Testing...\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) \
	-l ert -l $(PKG)-test -f ert-run-tests-batch-and-exit

lisp: ../lisp/$(PKG).elc $(PKG)-test.elc

clean:
	@printf " Cleaning test/*...\n"
	@rm -rf $(PKG)-test.elc

=== debian/changelog ===
elpa-transient (0.10.1-1) unstable; urgency=medium

  * New upstream release
  * Drop "Rules-Requires-Root: no"
    - This has been the default since dpkg 1.22.13.
  * Update package description from the latest upstream README.org

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 10 Oct 2025 03:51:10 -0700

=== debian/control ===
Source: elpa-transient
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders:
 Rémi Vanicat <vanicat@debian.org>,
 Xiyue Deng <manphiz@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-elpa,
 texinfo (>=7.0.3~),
 texlive-base,
Standards-Version: 4.7.2
Homepage: https://github.com/magit/transient
Vcs-Git: https://salsa.debian.org/emacsen-team/transient.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/transient
Testsuite: autopkgtest-pkg-elpa

Package: elpa-transient
Architecture: all
Multi-Arch: foreign
Depends:
 ${elpa:Depends},
 ${misc:Depends},
Recommends:
 emacs,
Suggests:
 elpa-transient-doc,
Enhances:
 emacs,
Description: Transient command menus
 Transient is the library used to implement the keyboard-driven
 "menus" in Magit. It is distributed as a separate package, so that it
 can be used to implement similar menus in other packages.
 .
 Some things that Transient can do
  * Display current state of arguments
  * Display and manage lifecycle of modal bindings
  * Contextual user interface
  * Flow control for wizard-like composition of interactive forms
  * History & persistence
  * Rendering arguments for controlling CLI programs

Package: elpa-transient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
Enhances:
 elpa-transient,
Multi-Arch: foreign
Description: Transient command menus - Docs
 Transient is the library used to implement the keyboard-driven
 "menus" in Magit. It is distributed as a separate package, so that it
 can be used to implement similar menus in other packages.
 .
 This package contain the documentation for transient.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	make docs

=== debian/watch ===
Version: 5

Template: Github
Owner: magit
Project: transient

## elpa-transient 0.11.0

=== Makefile ===
-include config.mk
include default.mk

.PHONY: lisp docs

all: lisp docs

help:
	$(info make all          -- Generate lisp and manual)
	$(info make lisp         -- Generate byte-code and autoloads)
	$(info make redo         -- Re-generate byte-code and autoloads)
	$(info make docs         -- Generate all manual formats)
	$(info make redo-docs    -- Re-generate all manual formats)
	$(info make texi         -- Generate texi manual)
	$(info make info         -- Generate info manual)
	$(info make html         -- Generate html manual file)
	$(info make html-dir     -- Generate html manual directory)
	$(info make pdf          -- Generate pdf manual)
	$(info make publish      -- Publish snapshot manuals)
	$(info make release      -- Publish release manuals)
	$(info make stats        -- Generate statistics)
	$(info make stats-upload -- Publish statistics)
	$(info make test         -- Run tests)
	$(info make clean        -- Remove most generated files)
	@printf "\n"

lisp:
	@$(MAKE) -C lisp lisp
redo:
	@$(MAKE) -C lisp clean lisp

docs:
	@$(MAKE) -C docs docs
redo-docs:
	@$(MAKE) -C docs redo-docs
texi:
	@$(MAKE) -C docs texi
info:
	@$(MAKE) -C docs info
html:
	@$(MAKE) -C docs html
html-dir:
	@$(MAKE) -C docs html-dir
pdf:
	@$(MAKE) -C docs pdf

publish:
	@$(MAKE) -C docs publish
release:
	@$(MAKE) -C docs release

stats:
	@$(MAKE) -C docs stats
stats-upload:
	@$(MAKE) -C docs stats-upload

test: lisp
	@$(MAKE) -C test test

clean:
	@$(MAKE) -C lisp clean
	@$(MAKE) -C docs clean
	@$(MAKE) -C test clean

=== docs/Makefile ===
-include ../config.mk
include ../default.mk

.PHONY: stats

docs: texi info html html-dir pdf

texi:     $(PKG).texi
info:     $(PKG).info dir
html:     $(PKG).html
html-dir: $(PKG)/index.html
pdf:      $(PKG).pdf

ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH)
ORG_EVAL += --eval "(setq indent-tabs-mode nil)"
ORG_EVAL += --eval "(setq org-src-preserve-indentation nil)"
ORG_EVAL += --eval "\
(defun org-texinfo--sanitize-content (text)\
  (replace-regexp-in-string \"[@@{}]\" \"@@\\&\" text))"
ORG_EVAL += --funcall org-texinfo-export-to-texinfo

redo-docs:
	@touch $(PKG).org
	@make docs

.revdesc: ;
_    := $(shell test "$(REVDESC)" = "$$(cat .revdesc 2> /dev/null)" ||\
        echo "$(REVDESC)" > .revdesc)

%.texi: %.org .orgconfig .revdesc
	@printf "Generating $@\n"
	@$(EMACS) $(ORG_ARGS) $< $(ORG_EVAL)
	@sed -i -e 's/“/``/g' -e "s/”/''/g" -e '$$a\' $(PKG).texi #'

%.info: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --no-split $< -o $@

dir: $(PKG).info
	@printf "Generating $@\n"
	@printf "%s" $^ | xargs -n 1 $(INSTALL_INFO) --dir=$@

HTML_FIXUP_CSS    = '/<link rel="stylesheet" type="text\/css" href="https:\/\/$(DOMAIN)\/assets\/page.css">/a\
<link rel="icon" href="https://$(DOMAIN)/assets/magit_alt1.ico">\
\n<link class="s-css-s--style" rel="stylesheet"           title="Default"               href="https://$(DOMAIN)/assets/themes/default.css">\
\n<link class="s-css-s--style" rel="stylesheet alternate" title="Default high contrast" href="https://$(DOMAIN)/assets/themes/default-high-contrast.css">\
\n<link class="s-css-s--style" rel="stylesheet alternate" title="Solarized dark xterm"  href="https://$(DOMAIN)/assets/themes/solarized-dark-xterm.css">\
\n<link class="s-css-s--style" rel="stylesheet alternate" title="Black on white"        href="https://$(DOMAIN)/assets/themes/black-on-white.css">\
\n<script src="https://$(DOMAIN)/assets/js/simple-css-switch.js"></script>'
HTML_FIXUP_ONLOAD = 's/<body lang="en">/<body lang="en" onload="simpleCssSwitch()">/'
HTML_FIXUP_MENU   = '/<\/body>/i<div id="s-css-s--menu"><\/div>'

%.html: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --html --no-split $(MANUAL_HTML_ARGS) $<
	@sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $@

%/index.html: %.texi
	@printf "Generating $(PKG)/*.html\n"
	@rm -rf $(PKG)
	@$(MAKEINFO) --html -o $(PKG)/ $(MANUAL_HTML_ARGS) $<
	@for f in $$(find $(PKG) -name '*.html') ; do \
	sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $$f ; \
	done

%.pdf: %.texi
	@printf "Generating $@\n"
	@texi2pdf --clean $< > /dev/null

DOCS_DOMAIN = docs.$(DOMAIN)
STAT_DOMAIN = stats.$(DOMAIN)
SNAP_TARGET = $(subst .,_,$(DOCS_DOMAIN)):devel/$(PKG)/
DOCS_TARGET = $(subst .,_,$(DOCS_DOMAIN)):$(PKG)/
STAT_TARGET = $(subst .,_,$(STAT_DOMAIN)):$(PKG)/

publish: redo-docs
	@printf "Publishing snapshot manual...\n"
	@cp $(PKG).pdf $(PKG)/$(PKG).pdf
	@$(RCLONE) sync $(RCLONE_ARGS) $(PKG) $(SNAP_TARGET)

release: redo-docs
	@printf "Publishing release manual...\n"
	@cp $(PKG).pdf $(PKG)/$(PKG).pdf
	@$(RCLONE) sync $(RCLONE_ARGS) $(PKG) $(DOCS_TARGET)

stats:
	@printf "Generating statistics...\n"
	@$(GITSTATS) $(GITSTATS_ARGS) $(TOP) $(GITSTATS_DIR)

stats-upload:
	@printf "Uploading statistics...\n"
	@$(RCLONE) sync $(RCLONE_ARGS) stats $(STAT_TARGET)

CLEAN = $(PKG).info dir $(PKG) $(PKG).html $(PKG).pdf

clean:
	@printf " Cleaning docs/*...\n"
	@rm -rf $(CLEAN)

=== lisp/Makefile ===
-include ../config.mk
include ../default.mk

lisp: $(ELCS) autoloads check-declare

autoloads: $(PKG)-autoloads.el

check-declare:
	@printf " Checking function declarations\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) \
	--eval "(check-declare-directory default-directory)"

clean:
	@printf " Cleaning lisp/*...\n"
	@rm -rf $(ELCS) $(PKG)-autoloads.el

$(PKG)-autoloads.el: $(ELS)
	@printf " Creating $@\n"
	@$(EMACS) -Q --batch -l autoload --eval "\
(let* ((file (expand-file-name \"$@\"))\
       (generated-autoload-file file)\
       (coding-system-for-write 'utf-8-emacs-unix)\
       (backup-inhibited t)\
       (version-control 'never)\
       (inhibit-message t))\
  (write-region (autoload-rubric file \"package\" t) nil file)\
  (update-directory-autoloads default-directory))" \
	2>&1 | sed "/^Package autoload is deprecated$$/d"

=== debian/changelog ===
elpa-transient (0.11.0-1) unstable; urgency=medium

  * New upstream release
  * Add elpa-cond-let to Build-Depends
    - Required since version 0.11.0.
  * Stop building html docs
    - The html docs includes external links which may potentially cause
      privacy breach.

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 06 Dec 2025 04:03:11 -0800

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-elpa,
+ elpa-cond-let (>= 0.2),
  texinfo (>=7.0.3~),
  texlive-base,
 Standards-Version: 4.7.2

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	make -C docs texi info pdf

## elpa-transient 0.12.0

=== Makefile ===
-include config.mk
include default.mk

.PHONY: lisp docs

all: lisp docs

help:
	$(info make all              -- Generate lisp and manual)
	$(info make lisp             -- Generate byte-code and autoloads)
	$(info make redo             -- Re-generate byte-code and autoloads)
	$(info make docs             -- Generate all manual formats)
	$(info make redo-docs        -- Re-generate all manual formats)
	$(info make texi             -- Generate texi manual)
	$(info make info             -- Generate info manual)
	$(info make html             -- Generate html manual file)
	$(info make html-dir         -- Generate html manual directory)
	$(info make pdf              -- Generate pdf manual)
	$(info make publish          -- Publish snapshot manuals)
	$(info make release          -- Publish release manuals)
	$(info make stats            -- Generate statistics)
	$(info make stats-upload     -- Publish statistics)
	$(info make test             -- Run tests)
	$(info make test-interactive -- Run tests interactively)
	$(info make clean            -- Remove most generated files)
	@printf "\n"

lisp:
	@$(MAKE) -C lisp lisp
redo:
	@$(MAKE) -C lisp clean lisp

docs:
	@$(MAKE) -C docs docs
redo-docs:
	@$(MAKE) -C docs redo-docs
texi:
	@$(MAKE) -C docs texi
info:
	@$(MAKE) -C docs info
html:
	@$(MAKE) -C docs html
html-dir:
	@$(MAKE) -C docs html-dir
pdf:
	@$(MAKE) -C docs pdf

publish:
	@$(MAKE) -C docs publish
release:
	@$(MAKE) -C docs release

stats:
	@$(MAKE) -C docs stats
stats-upload:
	@$(MAKE) -C docs stats-upload

test: lisp
	@$(MAKE) -C test test

test-interactive:
	@$(MAKE) -C test test-interactive

clean:
	@$(MAKE) -C lisp clean
	@$(MAKE) -C docs clean
	@$(MAKE) -C test clean

=== docs/Makefile ===
--- 
+++ 
@@ -11,7 +11,6 @@
 html-dir: $(PKG)/index.html
 pdf:      $(PKG).pdf
 
-ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH)
 ORG_EVAL += --eval "(setq indent-tabs-mode nil)"
 ORG_EVAL += --eval "(setq org-src-preserve-indentation nil)"
 ORG_EVAL += --eval "\
@@ -29,7 +28,7 @@
 
 %.texi: %.org .orgconfig .revdesc
 	@printf "Generating $@\n"
-	@$(EMACS) $(ORG_ARGS) $< $(ORG_EVAL)
+	@$(EMACS_ORG) $< $(ORG_EVAL)
 	@sed -i -e 's/“/``/g' -e "s/”/''/g" -e '$$a\' $(PKG).texi #'
 
 %.info: %.texi

=== lisp/Makefile ===
--- 
+++ 
@@ -5,10 +5,13 @@
 
 autoloads: $(PKG)-autoloads.el
 
+%.elc: %.el
+	@printf "Compiling $<\n"
+	@$(EMACS_BATCH) --funcall batch-byte-compile $<
+
 check-declare:
 	@printf " Checking function declarations\n"
-	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) \
-	--eval "(check-declare-directory default-directory)"
+	@$(EMACS_BATCH) --eval "(check-declare-directory default-directory)"
 
 clean:
 	@printf " Cleaning lisp/*...\n"
@@ -16,7 +19,7 @@
 
 $(PKG)-autoloads.el: $(ELS)
 	@printf " Creating $@\n"
-	@$(EMACS) -Q --batch -l autoload --eval "\
+	@$(EMACS_BATCH) --load autoload --eval "\
 (let* ((file (expand-file-name \"$@\"))\
        (generated-autoload-file file)\
        (coding-system-for-write 'utf-8-emacs-unix)\

=== test/Makefile ===
-include ../config.mk
include ../default.mk

LOAD_PATH += -L ../lisp

test: lisp
	@printf "  Testing...\n"
	@$(EMACS_BATCH) -l $(PKG)-tests -f ert-run-tests-batch-and-exit

test-interactive:
	@$(EMACS_INTR) -l $(PKG)-tests --eval "(ert t)"

lisp: $(addprefix ../lisp/,$(ELCS)) $(PKG)-tests.elc

%.elc: %.el
	@printf "Compiling $<\n"
	@$(EMACS_BATCH) --funcall batch-byte-compile $<

clean:
	@printf " Cleaning test/*...\n"
	@rm -rf $(PKG)-tests.elc

=== debian/changelog ===
elpa-transient (0.12.0-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.7.3; no change needed
  * Drop `Priority: optional' in d/control; now default
  * Drop empty trailing line in d/rules

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 03 Jan 2026 02:57:50 -0800

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: elpa-transient
 Section: editors
-Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders:
  Rémi Vanicat <vanicat@debian.org>,
@@ -11,7 +10,7 @@
  elpa-cond-let (>= 0.2),
  texinfo (>=7.0.3~),
  texlive-base,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/magit/transient
 Vcs-Git: https://salsa.debian.org/emacsen-team/transient.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/transient

=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,3 @@
 
 override_dh_auto_build:
 	make -C docs texi info pdf
-
